ruby_tests:
  image: ruby:latest
  stage: test
  cache:
    paths:
      - vendor/ruby
  before_script:
    - ruby -v # Print out ruby version for debugging
    - apt-get update -q && apt-get install nodejs -yqq
    - cd src/ruby-rails-app
    - bundle lock --add-platform aarch64-linux
    - bundle config set --local deployment true
    - bundle install -j $(nproc)
  script:
    - bin/rails test

